IF EXISTS (SELECT
              *
           FROM
              SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'GERA_AJUSTE_INVCEGO' AND
              TYPE = 'P' 		       AND
              U.UID = O.UID                    AND
              U.NAME = USER)

DROP PROCEDURE GERA_AJUSTE_INVCEGO
GO

CREATE PROCEDURE GERA_AJUSTE_INVCEGO
      @P_CDFILIAL     VARCHAR(04),
      @P_DTCONTAGEM   DATETIME,
      @P_CDALMOXARIFE VARCHAR(06),
      @P_CDLOCALESTOQ VARCHAR(06),
      @P_CDFILILANC   VARCHAR(04),
      @P_NRLANCESTQ   VARCHAR(10),
      @P_NRLANCRET    VARCHAR(10),
      @P_NRRETIRADA   VARCHAR(10),
      @P_NRCARDAPIO   VARCHAR(10),
      @P_CDOPERADOR   VARCHAR(12),
      @P_GERARETI     VARCHAR(01)

AS

   DECLARE @V_VRCUSTO      VARCHAR(02);
   DECLARE @V_IDORDEMCLC   VARCHAR(01);
   DECLARE @V_GRAVARET     VARCHAR(01);
   DECLARE @V_NRCARDAPIO   VARCHAR(10);
   DECLARE @V_PRIMEIRA     NUMERIC(15,5);
   DECLARE @V_NRSEQUITEM   INTEGER;
   DECLARE @V_NRSEQITRET   INTEGER;
   DECLARE @V_COUNT        NUMERIC(15,5);
   DECLARE @V_QTESTOQDIA   NUMERIC(15,5);
   DECLARE @V_DTINICIO     DATETIME;
   DECLARE @V_DTFIM        DATETIME;

   /* VARIAVEIS DE CURSOR C_INVENTESTCEGO */
   DECLARE @V_CDFILIAL        VARCHAR(04);
   DECLARE @V_DTGERAAJUSTE    DATETIME;
   DECLARE @V_DTCONTAGEM      DATETIME;
   DECLARE @V_CDALMOXARIFE    VARCHAR(06);
   DECLARE @V_CDLOCALESTOQ    VARCHAR(06);
   DECLARE @V_IDSITESTCEGO    VARCHAR(01);
   DECLARE @V_IDSITUACEITEINV VARCHAR(01);
   DECLARE @V_DTAPROVINVESTCE DATETIME;
   DECLARE @V_DTGERACAOINVEST DATETIME;
   DECLARE @V_IDINVGERAAJUSTE VARCHAR(01);
   DECLARE @V_CDOPERINVENT    VARCHAR(12);
   DECLARE @V_CDPRODUTO       VARCHAR(10);
   DECLARE @V_NRLOTEESTQ      VARCHAR(20);
   DECLARE @V_NRSUBLOTE       VARCHAR(04);
   DECLARE @V_QTINVENTESTCEGO NUMERIC(15,5);
   DECLARE @V_CDOPERITEM      VARCHAR(12);
   DECLARE @V_CDTIPOCUSTO     VARCHAR(02);
   DECLARE @V_IDINVESTCEGO    VARCHAR(01);
   DECLARE @V_IDGERARETAJU    VARCHAR(01);
   DECLARE @V_CDSERVBAIESTCEG VARCHAR(05);
   DECLARE @V_CDTPRETBXESTCEG VARCHAR(02);
   DECLARE @V_CDPRODESTO      VARCHAR(10);
   DECLARE @V_VRFATOCONV      NUMERIC(15,5);
   DECLARE @V_IDORDAJUINVE    VARCHAR(10);
   DECLARE @V_DTVALILOTE      DATETIME;
   DECLARE @V_DTRETI          DATETIME;
   DECLARE @V_VRCUSTOPROD     NUMERIC(15,5);
   DECLARE @V_DTPROCESSA      DATETIME;

/*  **************************************   */

   /* VARIAVEIS DO CURSOR C_PRODIRREG  */

   DECLARE @V_NRMOVILOTE_IR    VARCHAR(14);
   DECLARE @V_CDFILIAL_IR      VARCHAR(04);
   DECLARE @V_CDALMOXARIFE_IR  VARCHAR(06);
   DECLARE @V_CDLOCALESTOQ_IR  VARCHAR(04);
   DECLARE @V_CDPRODUTO_IR     VARCHAR(10);
   DECLARE @V_NRLOTEESTQ_IR    VARCHAR(20);
   DECLARE @V_NRSUBLOTE_IR     VARCHAR(04);

/*  *************************************    */

   DECLARE @V_teste     VARCHAR(1000);

BEGIN

   SET @V_PRIMEIRA   = 0;
   SET @V_NRSEQUITEM = 0;
   SET @V_IDORDEMCLC = ' ';
   SET @V_COUNT      = 0;
   SET @V_NRSEQITRET = 0;


   DECLARE C_INVENTESTCEGO CURSOR FOR
      SELECT IV.CDFILIAL, IV.DTCONTAGEM + 1 DTGERAAJUSTE,
             IV.DTCONTAGEM, ISNULL(IV.CDALMOXARIFE,' ') CDALMOXARIFE,
             ISNULL(IV.CDLOCALESTOQ,' ') CDLOCALESTOQ, IDSITESTCEGO, IDSITUACEITEINV,
             DTAPROVINVESTCE, DTGERACAOINVEST, IDINVGERAAJUSTE,
             IV.CDOPERADOR CDOPERINVENT, IT.CDPRODUTO, ISNULL(IT.NRLOTEESTQ,' ') NRLOTEESTQ,
             ISNULL(IT.NRSUBLOTE,' ') NRSUBLOTE, QTINVENTESTCEGO,
             IT.CDOPERADOR CDOPERITEM,
             CONVERT(INT, ISNULL(CDTIPCUSTEST,'03')) CDTIPOCUSTO,
             IDINVESTCEGO, IDGERARETAJU, CDSERVBAIESTCEG, CDTPRETBXESTCEG,
             CDPRODESTO, PR.VRFATOCONV, IDORDAJUINVE, L.DTVALILOTE,
             CASE IDORDAJUINVE WHEN 'U' THEN IV.DTCONTAGEM + 1 ELSE IV.DTCONTAGEM END DTRETI,
             ISNULL(TEKNISA.CUSTO_PRODUTO_LCEST(IV.CDFILIAL, CDPRODESTO,
                CONVERT(INT, ISNULL(CDTIPCUSTEST,'03')),IV.DTCONTAGEM, GETDATE(),
                IV.CDALMOXARIFE, IV.CDLOCALESTOQ, IT.NRLOTEESTQ,IT.NRSUBLOTE),0) AS VRCUSTOPROD,
             CASE IDUTILDTPROC WHEN 'S' THEN ISNULL(DTPROCESSA,GETDATE()) ELSE GETDATE() END DTPROCESSA
        FROM INVENTESTCEGO IV, ITEMINVENTCEGO IT, PARAMFILIAL P, PRODUTO PR, LOTE L, PARAMGERAL
       WHERE IV.CDFILIAL     = @P_CDFILIAL
         AND IV.CDFILIAL     = IT.CDFILIAL
         AND IV.CDALMOXARIFE = @P_CDALMOXARIFE
         AND IV.CDLOCALESTOQ = @P_CDLOCALESTOQ
         AND IV.CDALMOXARIFE = IT.CDALMOXARIFE
         AND IV.CDLOCALESTOQ = IT.CDLOCALESTOQ
         AND IV.DTCONTAGEM   = IT.DTCONTAGEM
         AND IV.CDFILIAL     = P.CDFILIAL
         AND IT.CDPRODUTO    = PR.CDPRODUTO
         AND IV.CDFILIAL     = L.CDFILIAL
         AND IT.NRLOTEESTQ   = L.NRLOTEESTQ
         AND IT.NRSUBLOTE    = L.NRSUBLOTE
         AND PR.CDPRODESTO   = L.CDPRODUTO
         AND IV.DTCONTAGEM   = @P_DTCONTAGEM
         AND IDSITESTCEGO    = 'AP'
       ORDER BY IV.DTCONTAGEM

   OPEN C_INVENTESTCEGO
   FETCH NEXT FROM C_INVENTESTCEGO INTO @V_CDFILIAL, @V_DTGERAAJUSTE, @V_DTCONTAGEM, @V_CDALMOXARIFE,
                                        @V_CDLOCALESTOQ, @V_IDSITESTCEGO, @V_IDSITUACEITEINV,
                                        @V_DTAPROVINVESTCE, @V_DTGERACAOINVEST, @V_IDINVGERAAJUSTE,
                                        @V_CDOPERINVENT, @V_CDPRODUTO, @V_NRLOTEESTQ,
                                        @V_NRSUBLOTE, @V_QTINVENTESTCEGO, @V_CDOPERITEM,
                                        @V_CDTIPOCUSTO, @V_IDINVESTCEGO, @V_IDGERARETAJU,
                                        @V_CDSERVBAIESTCEG, @V_CDTPRETBXESTCEG, @V_CDPRODESTO,
                                        @V_VRFATOCONV, @V_IDORDAJUINVE, @V_DTVALILOTE,
                                        @V_DTRETI, @V_VRCUSTOPROD, @V_DTPROCESSA;


   WHILE (@@FETCH_STATUS = 0) BEGIN
      IF (@V_VRCUSTOPROD <> 0 ) BEGIN

         /* inserir na tabela lanctoestoq apenas uma vez */

         SELECT @V_COUNT = COUNT(*)
           FROM LANCTOESTOQ
          WHERE CDFILIAL   = @P_CDFILIAL
            AND NRLANCESTQ = @P_NRLANCESTQ
            AND DTLANCESTQ = @V_DTGERAAJUSTE;

         IF @V_COUNT = 0 BEGIN

            INSERT INTO LANCTOESTOQ
               (CDFILIAL, NRLANCESTQ, IDTPLANCTO, DTLANCESTQ,
               DSLANCESTQ, IDALTCUSMED, CDOPERADOR, CDFILIMOVI)
            VALUES
              (@P_CDFILIAL, @P_NRLANCESTQ, '1',
              @V_DTGERAAJUSTE, 'Lanamento realizado pelo ajuste do inventrio cego',
              'N', @P_CDOPERADOR, @P_CDFILILANC);
         END;

         IF (ISNULL(@V_IDORDAJUINVE,'P') = 'P') BEGIN

            SET @V_IDORDEMCLC = '0';
         END
         ELSE BEGIN
            SET @V_IDORDEMCLC = 'U';
         END;


         INSERT INTO ITLANCTOEST
            (CDFILIAL, NRLANCESTQ, NRSEQUITEM, CDPRODUTO, QTLANCTOEST, VRUNILANCTO,
            VRTOTLANCTO, IDTIPOMOVI, DTLANCMOVI, IDORDEMCLC, VRLANCTOEST, QTTOTLANCTO,
            CDFILIMOVI, CDPRODMOVI, VRLANCTOBRUT, IDEVOLESTOQ, CDALMOXARIFE,
            CDLOCALESTOQ, NRLOTEESTQ, NRSUBLOTE, CDOPERADOR)
         VALUES
            (@P_CDFILIAL, @P_NRLANCESTQ, RIGHT(REPLICATE('0',4) + CONVERT(VARCHAR,@V_NRSEQUITEM),4),
            @V_CDPRODUTO, @V_QTINVENTESTCEGO * @V_VRFATOCONV,
            @V_VRCUSTOPROD * @V_VRFATOCONV,
            @V_VRCUSTOPROD * @V_VRFATOCONV * @V_QTINVENTESTCEGO,
            '1', @V_DTGERAAJUSTE , @V_IDORDEMCLC, @V_VRCUSTOPROD,
            @V_QTINVENTESTCEGO, @P_CDFILILANC, @V_CDPRODESTO, @V_VRCUSTOPROD, 'S',
            @V_CDALMOXARIFE,@V_CDLOCALESTOQ, @V_NRLOTEESTQ,@V_NRSUBLOTE, @P_CDOPERADOR);

         /***** POSIO DO DIA DA GERAO DO AJUSTE *****/

         SELECT @V_QTESTOQDIA   = MAX(A.QTESTOQDIA)
           FROM POSESTDIA A
          WHERE (A.CDFILIAL     = @P_CDFILILANC)
            AND (A.CDALMOXARIFE = @V_CDALMOXARIFE)
            AND (A.CDLOCALESTOQ = @V_CDLOCALESTOQ)
            AND (A.NRLOTEESTQ   = @V_NRLOTEESTQ)
            AND (A.NRSUBLOTE    = @V_NRSUBLOTE)
            AND (A.CDPRODUTO    = @V_CDPRODESTO)
            AND (A.DTPOSIESTQ   = (SELECT MAX(DTPOSIESTQ)
                                     FROM POSESTDIA
                                    WHERE (CDFILIAL     =  @P_CDFILILANC)
                                      AND (CDALMOXARIFE =  @V_CDALMOXARIFE)
                                      AND (CDLOCALESTOQ =  @V_CDLOCALESTOQ)
                                      AND (NRLOTEESTQ   =  @V_NRLOTEESTQ)
                                      AND (NRSUBLOTE    =  @V_NRSUBLOTE)
                                      AND (CDPRODUTO    =  @V_CDPRODESTO)
                                      AND (DTPOSIESTQ   <= @V_DTGERAAJUSTE + 1)));

/*SERVIO: Retornar msg na tela para o usurio, ou seja, realizar teste na ddl antes de executar procedure,
~msg informativa com sim/no */

         IF (@V_IDGERARETAJU = 'S') AND (@P_GERARETI = 'S') BEGIN
            IF @V_CDSERVBAIESTCEG IS NOT NULL BEGIN
               IF @V_QTINVENTESTCEGO < @V_QTESTOQDIA BEGIN
                  SET @V_GRAVARET = 'S';
                  IF @V_PRIMEIRA = 0 BEGIN

                     SELECT @V_COUNT = COUNT(*)
                       FROM LANCTOESTOQ
                      WHERE CDFILIAL   = @P_CDFILIAL
                        AND NRLANCESTQ = @P_NRLANCRET
                        AND DTLANCESTQ = @V_DTGERAAJUSTE;

                     IF @V_COUNT = 0 BEGIN
                        INSERT INTO LANCTOESTOQ
                         (CDFILIAL,   NRLANCESTQ, IDTPLANCTO,
                          DTLANCESTQ, CDFILIMOVI, CDOPERADOR,
                          IDALTCUSMED, DSLANCESTQ)
                        VALUES
                         (@P_CDFILIAL, @P_NRLANCRET, '3',
                          @V_DTGERAAJUSTE, @P_CDFILILANC, @P_CDOPERADOR,
                          'N', 'Retirada para Ajuste : ' + @P_NRLANCESTQ);
                     END;

                     SELECT @V_NRCARDAPIO = MAX(NRCARDAPIO)
                       FROM CARDADIA
                      WHERE (CDFILIAL   = @P_CDFILILANC)
                        AND (CDSERVFILI = @V_CDSERVBAIESTCEG)
                        AND (DTCARDAPIO = @V_DTGERAAJUSTE);

                      IF @V_NRCARDAPIO IS NULL BEGIN
                         INSERT INTO CARDADIA
                          (CDFILIAL, NRCARDAPIO, CDSERVFILI, CDOPERADOR, DTCARDAPIO, DTMESCARD)
                         VALUES
                          (@P_CDFILILANC, @P_NRCARDAPIO, @V_CDSERVBAIESTCEG,
                           @P_CDOPERADOR, @V_DTGERAAJUSTE,
                           DATEADD(MM,1,(DATEADD(MM, -1, @V_DTGERAAJUSTE))) - DAY(@V_DTGERAAJUSTE) +1);

                         INSERT INTO RETIRADA
                          (CDFILIAL, NRRETIRADA, NRCARDAPIO, DTRETIRADA, CDFILANCESTQ, NRLANCESTQ)
                         VALUES
                          (@P_CDFILILANC, @P_NRRETIRADA, @P_NRCARDAPIO, @V_DTGERAAJUSTE,
                           @P_CDFILIAL, @P_NRLANCRET);

                         SET @V_NRCARDAPIO = @P_NRCARDAPIO;

                      END
                      ELSE BEGIN

                         INSERT INTO RETIRADA
                          (CDFILIAL, NRRETIRADA, NRCARDAPIO, DTRETIRADA, CDFILANCESTQ, NRLANCESTQ)
                         VALUES
                          (@P_CDFILILANC, @P_NRRETIRADA, @V_NRCARDAPIO, @V_DTGERAAJUSTE,
                           @P_CDFILIAL, @P_NRLANCRET);
                      END;


                      INSERT INTO AJURELACRET
                       (CDFILIAL, NRLANCESTQ, CDFILIALRET, NRLANCESTRET)
                      VALUES
                       (@P_CDFILIAL, @P_NRLANCESTQ, @P_CDFILIAL, @P_NRLANCRET);

                     SET @V_PRIMEIRA = 1;
                  END;
               END
               ELSE BEGIN
                 SET @V_GRAVARET = 'N';
               END;
            END;

            IF @V_GRAVARET = 'S' BEGIN

                        /*GRAVAR DTLANCMOVI, SENDO QUE - 1 CASO AJUSTE PRIMEIRO DO DIA*/

               INSERT INTO ITLANCTOEST
                  (CDFILIAL, NRLANCESTQ, NRSEQUITEM, CDPRODUTO, QTLANCTOEST,  QTTOTLANCTO,
                   CDPRODMOVI, CDFILIMOVI, CDALMOXARIFE, CDLOCALESTOQ, NRLOTEESTQ, NRSUBLOTE,
                   IDTIPOMOVI, IDEVOLESTOQ, IDORDEMCLC, IDALTCMEDMV, CDTIPORETI, VRUNILANCTO,
                   VRTOTLANCTO, DTLANCMOVI )
               VALUES
                  (@P_CDFILIAL, @P_NRLANCRET, RIGHT(REPLICATE('0',4) + CONVERT(VARCHAR,@V_NRSEQUITEM),4),
                   @V_CDPRODUTO,
                   (@V_QTESTOQDIA - @V_QTINVENTESTCEGO) * @V_VRFATOCONV,
                   (@V_QTESTOQDIA - @V_QTINVENTESTCEGO) * @V_VRFATOCONV,
                   @V_CDPRODESTO, @P_CDFILILANC, @V_CDALMOXARIFE,
                   @V_CDLOCALESTOQ, @V_NRLOTEESTQ, @V_NRSUBLOTE,
                   '3', 'S', '9', 'N', @V_CDTPRETBXESTCEG, @V_VRCUSTOPROD * @V_VRFATOCONV,
                    @V_VRCUSTOPROD * @V_VRFATOCONV * (@V_QTESTOQDIA - @V_QTINVENTESTCEGO), @V_DTRETI);



                  INSERT INTO ITEMRETI
                     (CDFILIAL, NRRETIRADA, NRCARDAPIO, NRSEQUITRETI,
                      CDPRODUTO, QTRETIRADA, CDFIITLANEST, NRLANCESTQ, NRSEQUITEM, CDTIPORETI)
                  VALUES
                     (@P_CDFILILANC, @P_NRRETIRADA, @V_NRCARDAPIO,
                      RIGHT(REPLICATE('0',4) + CONVERT(VARCHAR,@V_NRSEQITRET),4),
                      @V_CDPRODUTO, (@V_QTESTOQDIA - @V_QTINVENTESTCEGO) * @V_VRFATOCONV,
                      @P_CDFILIAL, @P_NRLANCRET,
                      RIGHT(REPLICATE('0',4) + CONVERT(VARCHAR,@V_NRSEQUITEM),4),
                      @V_CDTPRETBXESTCEG);

/*
IF @V_CDPRODUTO <> '0000000002' BEGIN
SET @V_teste = @V_NRCARDAPIO;
RAISERROR(@V_CDPRODUTO,16,1);
END;*/


            END;

         END;

         SET @V_NRSEQUITEM = @V_NRSEQUITEM + 1;
         SET @V_NRSEQITRET = @V_NRSEQITRET + 1;


/* RODAR RECALCULO APENAS COM NUMERO DE AJUSTE, SENDO Q DATA INICIAL DEVE SER IGUAL A DATA
DA RETIRADA*/

               /*CONSIDERAR TB DATA DA RETIRADA*/
         IF @V_DTRETI <= @V_DTPROCESSA BEGIN
            SET @V_DTINICIO = @V_DTRETI;
            SET @V_DTFIM    = @V_DTPROCESSA;
         END
         ELSE BEGIN
            SET @V_DTINICIO = @V_DTPROCESSA;
            SET @V_DTFIM    = @V_DTRETI;
         END;

         UPDATE ITEMINVENTCEGO
            SET IDAJUSTEGERAIT  = 'S'
          WHERE CDFILIAL        = @P_CDFILILANC
            AND CDALMOXARIFE    = @V_CDALMOXARIFE
            AND CDLOCALESTOQ    = @V_CDLOCALESTOQ
            AND DTCONTAGEM      = @P_DTCONTAGEM
            AND CDPRODUTO       = @V_CDPRODUTO
            AND NRLOTEESTQ      = @V_NRLOTEESTQ
            AND NRSUBLOTE       = @V_NRSUBLOTE;

      END
      ELSE BEGIN
         /* Retorna os produtos sem custo,
           ALTERAR  IDINVGERAAJUSTE  PARA GRAVAR NA ITEM FALTA CRIAR O CAMPO NA TABELA

         */
         UPDATE ITEMINVENTCEGO
            SET IDAJUSTEGERAIT = 'N'
          WHERE CDFILIAL       = @P_CDFILILANC
            AND CDALMOXARIFE   = @V_CDALMOXARIFE
            AND CDLOCALESTOQ   = @V_CDLOCALESTOQ
            AND DTCONTAGEM     = @P_DTCONTAGEM
            AND CDPRODUTO      = @V_CDPRODUTO
            AND NRLOTEESTQ     = @V_NRLOTEESTQ
            AND NRSUBLOTE      = @V_NRSUBLOTE;
      END;
      FETCH NEXT FROM C_INVENTESTCEGO INTO @V_CDFILIAL, @V_DTGERAAJUSTE, @V_DTCONTAGEM, @V_CDALMOXARIFE,
                                           @V_CDLOCALESTOQ, @V_IDSITESTCEGO, @V_IDSITUACEITEINV,
                                           @V_DTAPROVINVESTCE, @V_DTGERACAOINVEST, @V_IDINVGERAAJUSTE,
                                           @V_CDOPERINVENT, @V_CDPRODUTO, @V_NRLOTEESTQ,
                                           @V_NRSUBLOTE, @V_QTINVENTESTCEGO, @V_CDOPERITEM,
                                           @V_CDTIPOCUSTO, @V_IDINVESTCEGO, @V_IDGERARETAJU,
                                           @V_CDSERVBAIESTCEG, @V_CDTPRETBXESTCEG, @V_CDPRODESTO,
                                           @V_VRFATOCONV, @V_IDORDAJUINVE, @V_DTVALILOTE,
                                           @V_DTRETI, @V_VRCUSTOPROD, @V_DTPROCESSA;

   END;
   CLOSE C_INVENTESTCEGO;
   DEALLOCATE C_INVENTESTCEGO;

   EXEC ATUALIZA_ESTOQUE @P_CDFILILANC, @V_DTINICIO, @V_DTFIM, @P_CDFILIAL, @P_NRLANCESTQ;

      /*Atualizar a Itlanctoest para no evoluir estoque para o ajuste */


   DECLARE C_PRODIRREG CURSOR FOR
      SELECT NRMOVILOTE, CDFILIAL, CDALMOXARIFE, CDLOCALESTOQ,
             CDPRODUTO, NRLOTEESTQ, NRSUBLOTE
        FROM MOVILOTE
       WHERE NRMOVILOTE = @P_CDFILIAL + @P_NRLANCESTQ
         AND CDFILIAL   = @P_CDFILILANC;

   OPEN C_PRODIRREG
   FETCH NEXT FROM C_PRODIRREG INTO @V_NRMOVILOTE_IR, @V_CDFILIAL_IR, @V_CDALMOXARIFE_IR,
                                    @V_CDLOCALESTOQ_IR, @V_CDPRODUTO_IR, @V_NRLOTEESTQ_IR,
                                    @V_NRSUBLOTE_IR;


   WHILE (@@FETCH_STATUS = 0) BEGIN
      UPDATE ITLANCTOEST
         SET IDEVOLESTOQ  = 'N'
       WHERE CDFILIAL     = @P_CDFILIAL
         AND NRLANCESTQ   = @P_NRLANCESTQ
         AND CDALMOXARIFE = @V_CDALMOXARIFE_IR
         AND CDLOCALESTOQ = @V_CDLOCALESTOQ_IR
         AND CDPRODUTO    = @V_CDPRODUTO_IR
         AND NRLOTEESTQ   = @V_NRLOTEESTQ_IR
         AND NRSUBLOTE    = @V_NRSUBLOTE_IR;

      UPDATE ITLANCTOEST
         SET IDEVOLESTOQ  = 'N'
       WHERE CDFILIAL     = @P_CDFILIAL
         AND NRLANCESTQ   = @P_NRLANCRET
         AND CDALMOXARIFE = @V_CDALMOXARIFE_IR
         AND CDLOCALESTOQ = @V_CDLOCALESTOQ_IR
         AND CDPRODUTO    = @V_CDPRODUTO_IR
         AND NRLOTEESTQ   = @V_NRLOTEESTQ_IR
         AND NRSUBLOTE    = @V_NRSUBLOTE_IR;
   END;
   CLOSE C_PRODIRREG;
   DEALLOCATE C_PRODIRREG;

   EXEC ATUALIZA_ESTOQUE @P_CDFILIAL, @V_DTINICIO, @V_DTFIM, @P_CDFILILANC, @P_NRLANCESTQ;

   DELETE MOVILOTE
    WHERE NRMOVILOTE = @P_CDFILILANC + @P_NRLANCESTQ;

END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'GERA_AJUSTE_INVCEGO','6.10.XXX';
GO
